#include<cmath>
#include <iostream>
using namespace std;

int main()
{
    int n, v1, k1, v2, k2,v3;
    cin >> n;
    cin >> v1, k1;
    cin >> v2, k2;
    cin >> v3;
    int a = 2;


    if (n = a)
    {
        cout << 1 << endl;
    }
    else
    {
        cout << 0 << endl;
    }


}